Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I'm attempting to run a module (mcmmo) with PermissionsBukkit. The problem is, mcmmo doesn't seem to support superperms. For the most part it works, but anything listed by world or in groups isn't seen.

There used to be something called Superpermsbridge that was supposed to fix this problem, but I've never used it and as far as I can tell it's unmaintained (the page is deleted, the PermissionsBukkit page say "Not recommended" by the only version--1.2)

Is there any solution for this? All my other plugins seem to work fine and I'd hate to lose that by switching to another permissions provider--especially since PermissionsBukkit seems to be the way Bukkit is going.

I'm just wondering if there is some magic syntax I can put into the permissions to make mcmmo deal with superperms, or if there is a version of mcmmo I haven't found yet.

ps. The goal is to have mcmmo active in just one world and completely inactive in the others. Currently I have it active for some users and ban them from other worlds, not really the way I wanted to go.

share|improve this question
1  
I had a lot of trouble with permissionsbukkit on my server - inconsistent YML syntax being one and the permissions file being completely wiped when it contained an error being another. In the end I switched to PermissionsEx. It was a pain in the butt to change it, but now it's done I am much happier. You should consider if it is worth continuing to fight with pb (which appears to be unsupported), or take a one-off hit and move to pex (which is). –  Bob Jul 10 '12 at 9:23
    
PermissionsConverter, If that doesn't work, I can convert your file if it's not too complex. –  Wijagels Oct 17 '12 at 21:34
    
Running 1.7.10, I know for a fact that mcMMO supports PermissionsEX. I highly recommend you use that, as it's very future-proofed and everything supports it. –  Why no Talos Oct 6 at 8:54

1 Answer 1

PermissionsBukkit is a primitive, bare-basic permissions plugin. As such, many features may be absent from it. This is one of them. You can try using superpermsbridge, but you may have very inconsistent results. You're better off just switching to another permissions plugin. It'll take some time, but you'll save a lot of time in the long run.

My permissions plugin of choice is PermissionsEx, or PEX. It works well, and it has a very nice command system for simple edits to permissions files that don't require pulling out the whole .yml file. It also has a compatibility layer for Permissions 2/3.

Another popular permissions system is bPermissions. It, too has a compatibility bridge for the older systems. bPermissions focuses on being lightweight and fast, but it loses some of the features of PEX in exchange.

On the other hand, any plugin that doesn't support Bukkit superperms is probably pretty outdated, anyway. The latest version of mcMMO can handle superperms (1.3.09 as of this writing).

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.